Authenticate and obtain access credentials for authorized operations.
cURL
curl --request POST \ --url https://api.us.chkk.io/v1/login \ --header 'Authorization: <api-key>'
{ "access_tokens": {}, "user": { "user_id": "<string>", "email": "<string>", "name": "<string>", "profile_picture": "<string>" } }
Authorization credentials supplied in the Authorization header.
Returns organization metadata for authenticated users.
Map keyed by org ID. Each entry is an object keyed by account slug that contains the bearer AccessToken for that account.
Show child attributes
Mapping from account slug to its access token bundle.
An access token as used by the Chkk API for authentication
The actual token to be used in Authorization header
Time at which the access token was created. Measured in seconds since the Unix epoch
The ID of the user represented by the access token
The ARN of the AWS Identity represented by the access token
The ID of the organization represented by the access token
The ID of the account represented by the access token
Details of the logged in user
The ID of the user of the current identity
The email address of the user of the current identity
the name of the user of the current identity
The profile picture for the user
Was this page helpful?